Subject: Re: bug#20385: [PROPOSED PATCH] Support quoting 'like this' in doc strings

From: Paul Eggert <[email-masked]>
Date: Thu, 23 Apr 2015 12:42:08 -0700

On 04/23/2015 05:27 AM, Alan Mackenzie wrote:
> I hate it when proprietary programs pull this
> trick.

If we do anything like smartquotes, it should be an option that you can 
turn off, and there should be a more-traditional-but-still-easy way to 
insert curved single quotes.  For the latter, perhaps we could have M-( 
insert "‘’" when in a string or comment.  M-( is already documented to 
have a precondition that point is not in a string or comment, so this 
would be an upward-compatible extension. Or perhaps you could suggest 
better bindings.  This sort of thing might be good enough that we 
wouldn't need smartquotes after all.